Package org.apache.commons.cli.avalon

# Interface ParserControl

All Known Implementing Classes:
  `AbstractParserControl`

public interface ParserControl
ParserControl is used to control particular behaviour of the parser.

See Also:
  - `AbstractParserControl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isFinished(int lastOptionCode)`
  Called by the parser to determine whether it should stop after last option parsed.

- ## Method Details

  - ### isFinished

    boolean isFinished(int lastOptionCode)
    Called by the parser to determine whether it should stop after last option parsed.
    Parameters:
      `lastOptionCode` - the code of last option parsed
    Returns:
      return true to halt, false to continue parsing